\begin{tabular}{|l|l|l|l|l|l|l|l|l|c|c|}
\hline \multicolumn{7}{|c|}{Proof obligations } & \provername{Alt-Ergo 2.3.1} & \provername{CVC4 1.6} \\ 
\hline
\explanation{length\_equal\_listset\_to\_list\_fset}  & \explanation{length\_equal\_listset\_to\_list\_fset.0}  &  & & & & \valid{0.11} & \noresult\\ 
\hline
\explanation{VC for removeFromList\_prog} & & & & & & & \noresult& \valid{0.63} \\ 
\hline
\explanation{VC for algorithmA}  & \explanation{variant decrease} & & & & & & \noresult& \valid{0.41} \\ 
\cline{2-4}
 & \explanation{precondition}  &  & & & & \noresult& \valid{0.19} \\ 
\cline{2-4}
 & \explanation{precondition} & & & & & & \noresult& \valid{0.32} \\ 
\cline{3-4}
 &  & & & & \noresult& \valid{0.20} \\ 
\cline{2-4}
 & \explanation{precondition}  &  & & & & \valid{0.04} & \noresult\\ 
\cline{2-4}
 & \explanation{precondition}  &  & & & & \valid{0.94} & \noresult\\ 
\cline{2-4}
 & \explanation{precondition}  &   &   &  & \noresult& \valid{1.63} \\ 
\cline{2-4}
 & \explanation{precondition}  &   &   &  & \valid{0.25} & \noresult\\ 
\cline{2-4}
 & \explanation{precondition}  &  & & & & \valid{3.66} & \noresult\\ 
\cline{2-4}
 & \explanation{precondition}  &  & & & & \valid{0.78} & \noresult\\ 
\cline{3-4}
 &  &  & & & & \noresult& \valid{0.58} \\ 
\cline{2-4}
 & \explanation{postcondition}  &  & & & & \valid{0.25} & \noresult\\ 
\cline{3-4}
 &  &   &   &   &  & \valid{0.28} & \noresult\\ 
\cline{6-7}
 &  &  &  &  &  & \noresult& \valid{0.11} \\ 
\cline{5-6}
 &  &  &  &  & \valid{0.04} & \noresult\\ 
\cline{4-5}
 &  &  &   &   &  & \valid{0.04} & \noresult\\ 
\cline{6-7}
 &  &  &  &  &   &  & \valid{0.91} & \noresult\\ 
\cline{5-6}
 &  &  &  &  & \valid{1.13} & \noresult\\ 
\hline
\explanation{VC for horn} & & & & & & & \noresult& \valid{0.42} \\ 
\cline{2-3}
 & \explanation{precondition} & & & & & & \noresult& \valid{0.35} \\ 
\cline{2-4}
 & \explanation{precondition} & & & & & & \noresult& \valid{0.31} \\ 
\cline{2-4}
 & \explanation{precondition} & & & & & & \noresult& \valid{0.24} \\ 
\cline{2-4}
 & \explanation{precondition} & & & & & & \noresult& \valid{0.23} \\ 
\cline{2-4}
 & \explanation{precondition} & & & & & & \noresult& \valid{0.27} \\ 
\cline{2-4}
 & \explanation{precondition}  &  & & & & \noresult& \valid{0.64} \\ 
\cline{2-4}
 & \explanation{precondition} & & & & & & \noresult& \valid{0.25} \\ 
\cline{2-4}
 & \explanation{precondition} & & & & & & \noresult& \valid{0.28} \\ 
\cline{2-4}
 & \explanation{postcondition} & & & & & & \noresult& \valid{0.23} \\ 
\hline \end{tabular}
